body {
  margin: 0;
  font-family: "Raleway", sans-serif;
  color: #112242;
}

.navbar {
  display: flex;
  align-items: center;
  height: 50px;
  padding: 0 8vw;
  font-weight: 500;
  box-shadow: 0 2px 6px -2px rgba(0, 0, 0, 0.2);
  position: relative;
}

.logo {
  margin-right: 2vw;
  height: 100%;
  max-height: 20px;
}

.logo:hover {
  cursor: pointer;
}

.logo a:hover:after {
  transform: scale(0);
}

.links-1 {
  display: flex;
  gap: 20px;

  font-size: clamp(12px, 1.4vw, 18px);
}

.links-2 {
  display: flex;
  gap: clamp(20px, 4vw, 80px);
  margin-left: auto;
  padding-left: 20px;
  font-size: clamp(12px, 1.4vw, 18px);
}

a {
  cursor: pointer;
  position: relative;
  text-decoration: none;
  color: #112242;
}

a:visited {
  color: #112242;
}

a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;

  width: 100%;
  height: 1px;
  background-color: #112242;

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

a:hover::after {
  transform: scaleX(1);
}

.protein-about {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 60px;
}

.protein-about p {
  line-height: 1.8;
  width: 90%;
}

#proteins-img {
  width: 400px;
}

.ingredients {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 50px;
}

.ingredients h3 {
  font-weight: 400;
  padding-bottom: 50px;
}

.protein-ingredients {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.honey,
.stevia,
.acacia {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.honey p,
.stevia p,
.acacia p {
  width: 50%;
  line-height: 1.5;
}

.ingredients-txt {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

.ingredient-img {
  width: 200px;
  height: 200px;
}

.protein-chocolate,
.protein-vanilla,
.protein-strawberry {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 50px;
}

.protein-chocolate h1,
.protein-vanilla h1,
.protein-strawberry h1 {
  text-align: center;
  font-weight: 500;
  padding-bottom: 20px;
}

.protein-chocolate-flex,
.protein-vanilla-flex,
.protein-strawberry-flex {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.protein-chocolate p,
.protein-vanilla p,
.protein-strawberry p {
  line-height: 1.6;
}

.protein-chocolate-img,
.protein-vanilla-img,
.protein-strawberry-img {
  width: 100%;
  max-width: 450px;
}

.instructions {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #eaf4ff;
  padding: 60px;
}
.instructions p {
  width: 90%;
  line-height: 1.7;
}

.shaker-img {
  width: 75%;
  padding: 20px 0;
}

.shaker-facts {
  padding-bottom: 40px;
}

.shaker-facts p {
  margin: 7px;
}

@media (min-width: 585px) {
  .links-1 {
    padding-left: 20px;
    font-size: clamp(14px, 1.5vw, 18px);
    gap: 30px;
  }

  .links-2 {
    font-size: clamp(14px, 1.5vw, 18px);
  }

  .info-circle {
    width: 500px;
    height: 500px;
  }
}

/*********DESKTOP**********/

@media (min-width: 900px) {
  .navbar {
    display: flex;
    align-items: center;
    height: 50px;
    padding: 0 8vw;
    font-weight: 500;
    box-shadow: 0 2px 6px -2px rgba(0, 0, 0, 0.2);
    position: relative;
  }

  .logo {
    margin-right: 4vw;
    height: 100%;
    max-height: 30px;
  }

  .links-1 {
    display: flex;
    gap: 80px;
  }

  .links-2 {
    display: flex;
    gap: clamp(20px, 4vw, 80px);
    margin-left: auto;
  }

  a {
    cursor: pointer;
    position: relative;
    text-decoration: none;
  }

  a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;

    width: 100%;
    height: 1px;
    background-color: #112242;

    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease;
  }

  a:hover::after {
    transform: scaleX(1);
  }

  .protein-about {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
  }

  .honey,
  .acacia {
    flex-direction: row;
    text-align: left;
    width: 100%;
  }

  .stevia {
    flex-direction: row-reverse;
    justify-content: flex-end;
    width: 100%;
  }

  .stevia .ingredients-txt {
    align-items: end;
    text-align: right;
    margin-right: 2rem;
  }

  .ingredients-txt {
    align-items: start;
    max-width: 100%;
  }

  .protein-chocolate-flex,
  .protein-strawberry-flex {
    display: flex;
    flex-direction: row;
  }

  .protein-vanilla-flex {
    flex-direction: row-reverse;
  }

  .protein-chocolate h1,
  .protein-vanilla h1,
  .protein-strawberry h1 {
    text-align: start;
  }

  .bottom-p {
    padding-top: 10px;
    width: 70%;
    line-height: 1.3;
    text-align: center;
  }

  .instructions p {
    width: 800px;
    padding-top: 20px;
  }
}
